/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package se.ribomation.products;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;
import static org.hamcrest.CoreMatchers.is;
import static org.hamcrest.MatcherAssert.assertThat;

class AppTest {
    private App target;

    @BeforeEach
    void init() {
        target = new App();
    }

    @Test
    @DisplayName("parseArgs([]) should return a default")
    void parseArgs() {
        var empty = new String[0];
        assertThat(target.parseArgs(empty), is("./src/data/products.csv"));
    }

    @Test
    @DisplayName("parseArgs(['whatever']) should return whatever")
    void parseArgs2() {
        var csv = new String[] {"whatever.txt"};
        assertThat(target.parseArgs(csv), is("whatever.txt"));
    }

}
